com.ibm.openpages.api.workflow.actions

## Interface IWFOperationContext

- All Superinterfaces:
    IEvaluationContext

      public interface IWFOperationContext
      extends IEvaluationContext

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IWFOperationContext.ActivityContext`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleraObjectsCache()` Deprecated.
    `void` | `flushResourceCache()` When you make changes to the resource you get by `IEvaluationContext.getResource()`, the workflow engine caches the change on memory and persists at the very end to minimize the performance costs.
    `IWFOperationContext.ActivityContext` | `getActivityContext()` Returns the activity context.
    `IWFActivityInstance` | `getActivityInstance()`
    `IWFProcess` | `getProcess()` Returns the process.
    `IWFProcessDefinition` | `getProcessDefinition()` Returns the process definition.
    `IWFTransition` | `getTransition()` Returns the transition being performed.
    `java.lang.String` | `getTransitionComment()` Returns the user-provided comment value.

    - ### Methods inherited from interface com.ibm.openpages.api.workflow.IEvaluationContext

      `clearObjectsCache, getAttribute, getObjectType, getOperationName, getResource, getResourceId, getServiceFactory, getToday, getUser`

- - ### Method Detail

    - #### getProcessDefinition

          IWFProcessDefinition getProcessDefinition()

      Returns the process definition. Refer `IWFProcessDefinition`
      Returns:

    - #### getProcess

          IWFProcess getProcess()

      Returns the process. Refer `IWFProcess`
      Returns:

    - #### getTransitionComment

          java.lang.String getTransitionComment()

      Returns the user-provided comment value.
      Returns:

    - #### getActivityInstance

          IWFActivityInstance getActivityInstance()

      Returns:

    - #### getActivityContext

          IWFOperationContext.ActivityContext getActivityContext()

      Returns the activity context. Refer `IWFOperationContext.ActivityContext`
      Returns:

    - #### getTransition

          IWFTransition getTransition()

      Returns the transition being performed. Refer `IWFTransition`
      Returns:

    - #### cleraObjectsCache

          @Deprecated
          void cleraObjectsCache()

      Deprecated.
      DEPRECATED - use clearObjectsCache()

    - #### flushResourceCache

          void flushResourceCache()
                           throws java.lang.Exception

      When you make changes to the resource you get by `IEvaluationContext.getResource()`, the workflow engine caches the change on memory and persists at the very end to minimize the performance costs. The custom action implementers can usually just call the set-value methods on the fields and without explicit `IResourceService.saveResource(com.ibm.openpages.api.resource.IResource)` call. However, you may sometimes want to persist it immediately, so the trigger operations or the resource fetch from the database can retrieve the latest object state. Call this API in such case.
      Throws:
        `java.lang.Exception`
      Since:
        8.1

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.